using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.IO;
using System.Collections.Generic;
using System.Globalization;
using Telerik.Web.UI.GridExcelBuilder;
using System.Text.RegularExpressions;

public partial class _Default : System.Web.UI.Page
{
    private object GetData()
    {
        DataTable table = new DataTable();

        table.Columns.Add("TS_ID");
        table.Columns.Add("TS_NAME");
        table.Columns.Add("TS_NODES");
        table.Columns.Add("TS_DATE");

        for (int i = 0; i < 20; i++)
            table.Rows.Add(i + 1, "lorem ipsum", "node1", DateTime.Now);
        return table;
    }

    protected void RadGrid1_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = GetData();
    }

}